View Issue Details

IDProjectCategoryView StatusLast Update
0004106SymmetricDSBugpublic2019-11-01 08:44
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.5Fixed in Version3.10.5 
Summary0004106: Extraction of double byte characters from sym_data exceeding a size of 4000 will fail and not fall back
DescriptionThis occurred in Oracle when captured data included double byte characters and also exceeded the 4000 limit used during extraction for performance. Normally this would fall back to extract the CLOB fully but the SQL Exception and error code as not being handled in the fall back case.

java.sql.SQLException: ORA-06502: PL/SQL: numeric or value error: character string buffer too small

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 edb5bf1a

2019-10-07 13:30:16

josh-a-hicks

Details Diff
0004106: Extraction of double byte characters from sym_data exceeding a
size of 4000 will fail and not fall back

0004106
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2019-10-03 13:55 josh-a-hicks New Issue
2019-10-03 13:55 josh-a-hicks Status new => assigned
2019-10-03 13:55 josh-a-hicks Assigned To => josh-a-hicks
2019-10-31 10:30 josh-a-hicks Status assigned => resolved
2019-10-31 10:30 josh-a-hicks Resolution open => fixed
2019-10-31 10:30 josh-a-hicks Fixed in Version => 3.10.5
2019-10-31 11:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 edb5bf1a
2019-11-01 08:44 admin Status resolved => closed